Subject: t7900-*.sh tesr #5 failure

From: Ramsay Jones <[email-masked]>
Date: Tue, 3 May 2016 22:34:58 +0100

Hi David,

Test t7900.5 fails for me, thus:

  $ ./t7900-index-helper.sh -i -v -x -d
  
  ...
  
  + test -S .git/index-helper.sock
  + git status
  On branch master
  Untracked files:
    (use "git add <file>..." to include in what will be committed)
  
  	err
  
  nothing added to commit but untracked files present (use "git add" to track)
  + test -S .git/index-helper.sock
  + grep -q . err
  error: last command exited with $?=1
  not ok 5 - index-helper autorun works
  #	
  #		rm -f .git/index-helper.sock &&
  #		git status &&
  #		test_path_is_missing .git/index-helper.sock &&
  #		test_config indexhelper.autorun true &&
  #		git status &&
  #		test -S .git/index-helper.sock &&
  #		git status 2>err &&
  #		test -S .git/index-helper.sock &&
  #		! grep -q . err &&
  #		git index-helper --kill &&
  #		test_config indexhelper.autorun false &&
  #		git status &&
  #		test_path_is_missing .git/index-helper.sock
  #	
  $ cd trash\ directory.t7900-index-helper/
  $ ls
  err  x.t
  $ cat err
  warning: We requested watchman support from index-helper, but it doesn't support it. Please use a version of git index-helper with watchman support.
  $ 

[Yes, that is one long line in err!]

[At least, this is one of the failures, I have also seen git status failing
with a SIGPIPE.]

Note that I do not have the watchman libraries etc., so USE_WATCHMAN is
not defined. Note also, that I had an instance of git-index-helper still
running after the test failure (which I kill-ed).

I haven't spent any time debuging this, but some questions spring to
mind:

    - can index-helper be used without watchman support?

    - why is index-helper requesting watchman support, when it was
      built without USE_WATCHMAN being defined?

    - why is read-cache.o exporting the verify_index and
      write_watchman_ext symbols?

    - is index-helper any use/help without watchman support?

    - is '! grep -q . err' meant to determine if the err file is
      empty (ie git status did not issue an error message)?
      [if yes, maybe 'test_must_be_empty err &&' would read better!]

Unfortunately, I have to run now, ...

ATB,
Ramsay Jones